Subject: bug#23433: closed (Re: bug#19811: Attempt to graft texlive times out after one hour)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Oct 2017 07:27:02 +0000

Your bug report

#19811: Timeout in grafts

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19811: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19811
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19811: Attempt to graft texlive times out after one hour
From: [email-masked] (Ludovic Courtès)
To: Ricardo Wurmus <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, [email-masked]
Date: Thu, 19 Oct 2017 09:26:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Mark H Weaver <[email-masked]> skribis:
>>
>>> I was able to do it by passing "--max-silent-time=36000".  It ended up
>>> taking just under 2 hours (real time) to graft texlive on my i686
>>> Libreboot X60 system.
>>
>> With commit 333c376 it may be down to one hour if there are two cores.
>> Still way too much for something like TeX Live, but an improvement.
>
> Is this still an issue?  While grafting the texlive package is still
> rather slow I haven’t seen anything close to one hour recently.

Same here.  Grafting big packages is still rather slow as you write, but
we shouldn’t have anything as big as the old monolithic texlive package
(4 GiB!).

> Can this bug be closed?

I think so.  Done!

Ludo’.

Subject: Timeout in grafts
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Tue, 3 May 2016 15:13:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

when grafting texlive-texmf on my Novena, the build times out after an hour,
even when I add "--timeout=70000". This is even more annoying since the
package cannot be substituted any more.

Andreas